## r-cran-slam 0.1

=== DESCRIPTION ===
Package: slam
Version: 0.1-55
Title: Sparse Lightweight Arrays and Matrices
Authors@R: c(person("Kurt", "Hornik", role = c("aut", "cre"),
                     email = "Kurt.Hornik@R-project.org",
		     comment = c(ORCID = "0000-0003-4198-9911")),
             person("David", "Meyer", role = "aut",
	             email = "David.Meyer@R-project.org",
		     comment = c(ORCID = "0000-0002-5196-3048")),
             person("Christian", "Buchta", role = "aut"))
Description: Data structures and algorithms for sparse arrays and matrices,
  based on index arrays and simple triplet representations, respectively.
Depends: R (>= 3.4.0)
Imports: stats
Enhances: Matrix, SparseM, spam
License: GPL-2
NeedsCompilation: yes
Packaged: 2024-11-12 16:45:23 UTC; hornik
Author: Kurt Hornik [aut, cre] (<https://orcid.org/0000-0003-4198-9911>),
  David Meyer [aut] (<https://orcid.org/0000-0002-5196-3048>),
  Christian Buchta [aut]
Maintainer: Kurt Hornik <Kurt.Hornik@R-project.org>
Repository: CRAN
Date/Publication: 2024-11-13 07:13:31 UTC

## r-cran-slam 0.1-43

=== debian/changelog ===
r-cran-slam (0.1-43-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:27:23 +0000

r-cran-slam (0.1-43-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Apr 2018 11:08:09 -0500

r-cran-slam (0.1-42-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Dec 2017 06:21:21 -0600

r-cran-slam (0.1-40-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Dec 2016 11:27:59 -0600

r-cran-slam (0.1-39-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Nov 2016 08:59:58 -0600

r-cran-slam (0.1-38-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Aug 2016 07:46:08 -0500

r-cran-slam (0.1-37-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Aug 2016 21:29:17 -0500

r-cran-slam (0.1-35-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:41:55 -0500

r-cran-slam (0.1-34-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Update Standards-Version: 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 May 2016 07:31:11 -0500

r-cran-slam (0.1-32-1) unstable; urgency=low

  * New upstream release
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 02 Apr 2014 07:11:49 -0500

r-cran-slam (0.1-31-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Jan 2014 17:07:50 -0600

r-cran-slam (0.1-30-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Sep 2013 06:36:34 -0500

r-cran-slam (0.1-29-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 Sep 2013 08:29:40 -0500

r-cran-slam (0.1-28-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 10:21:05 -0500

r-cran-slam (0.1-28-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Feb 2013 17:54:34 -0600

r-cran-slam (0.1-27-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Jan 2013 18:55:52 -0600

r-cran-slam (0.1-26-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Oct 2012 12:22:49 -0500

r-cran-slam (0.1-25-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Sep 2012 15:30:35 -0500

r-cran-slam (0.1-24-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Jun 2012 09:54:58 -0500

r-cran-slam (0.1-23-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Oct 2011 13:08:50 -0500

r-cran-slam (0.1-22-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Apr 2011 11:18:27 -0500

r-cran-slam (0.1-21-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Feb 2011 14:57:18 -0600

r-cran-slam (0.1-20-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Feb 2011 11:41:40 -0600

r-cran-slam (0.1-18-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Oct 2010 09:15:42 -0500

r-cran-slam (0.1-17-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Sep 2010 17:42:57 -0500

r-cran-slam (0.1-16-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Sep 2010 12:43:19 -0500

r-cran-slam (0.1-15-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Sep 2010 09:30:15 -0500

r-cran-slam (0.1-14-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Aug 2010 14:13:09 -0500



=== debian/control ===
Source: r-cran-slam
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.4), dh-r
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
Homepage: https://cran.r-project.org/package=slam


Package: r-cran-slam
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, ${misc:Depends}
Description: GNU R sparse lighweight arrays and matrices package
 This package provides data structures and algorithms for sparse 
 arrays and matrices, based on index arrays and simple triplet
 representations, respectively.

## r-cran-slam 0.1-44

=== debian/changelog ===
r-cran-slam (0.1-44-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Dec 2018 15:37:38 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.4), dh-r
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.5.2), dh-r
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
 Homepage: https://cran.r-project.org/package=slam
-
 
 Package: r-cran-slam
 Architecture: any

## r-cran-slam 0.1-45

=== debian/changelog ===
r-cran-slam (0.1-45-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 08:05:43 -0500

r-cran-slam (0.1-45-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Mar 2019 08:38:03 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.5.2), dh-r
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
 Homepage: https://cran.r-project.org/package=slam

## r-cran-slam 0.1-47

=== debian/changelog ===
r-cran-slam (0.1-47-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2020 17:33:36 -0600

r-cran-slam (0.1-47-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Dec 2019 09:02:02 -0600

r-cran-slam (0.1-46-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Oct 2019 15:24:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.2), dh-r
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
 Homepage: https://cran.r-project.org/package=slam

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-slam package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-slam 0.1-48

=== debian/changelog ===
r-cran-slam (0.1-48-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Dec 2020 15:02:39 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.2), dh-r
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
 Homepage: https://cran.r-project.org/package=slam

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/slam_([-0-9\.]*)\.tar.gz

## r-cran-slam 0.1-50

=== debian/changelog ===
r-cran-slam (0.1-50-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 Jan 2022 10:12:47 -0600

r-cran-slam (0.1-49-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Nov 2021 14:06:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
 Homepage: https://cran.r-project.org/package=slam

## r-cran-slam 0.1-52

=== debian/changelog ===
r-cran-slam (0.1-52-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Jul 2024 07:00:53 -0500

r-cran-slam (0.1-51-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Jul 2024 16:16:53 -0500

## r-cran-slam 0.1-53

=== debian/changelog ===
r-cran-slam (0.1-53-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 Sep 2024 09:02:57 -0500

## r-cran-slam 0.1-54

=== debian/changelog ===
r-cran-slam (0.1-54-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Oct 2024 08:12:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
 Homepage: https://cran.r-project.org/package=slam

## r-cran-slam 0.1-55

=== debian/changelog ===
r-cran-slam (0.1-55-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Nov 2024 16:12:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-slam
 Vcs-Git: https://salsa.debian.org/edd/r-cran-slam.git
